capture log close
clear all
/*--------------------------------------
This program runs seemingly unrelated
regressions and gets Chi2 statistics
for hypothesis that all dummies in each
hypothesis grouping are equal to zero
-----------------------------------------*/

log using $SL_log/chiefs_appendix_sur.log, replace

loc controls female age age2 ethnicity*
loc study_controls amalgamation n_chiefs 
loc district_fe dist? dist??
loc exocontrol mitchell_km coast_dist rail_dist river_dist dist_min mining_1930


loc bonding osusu labor_gang secret_society union political_group womens_group youth_group farmer_group religious_group school_group

loc bridging commmeet lcmeet chiefmeet

loc collective roadbrush c14

loc trust trust_peoplenloc trust_peopleloc

/*-------------------------
Matching on Residence
--------------------------*/
loc run = 0
if `run' == 1{

use $SL_data/chiefs_nps_rr.dta, replace

loc assets_res bike generator phone cartruckmoto fan radio umbrella tv
loc house_res nicefloor nicewall niceroof

/*Without Controls*/
foreach group in bonding bridging collective trust assets_res house_res {
loc elist
corr ``group''
foreach var of varlist ``group'' {
   qui regress  `var' fam_num_ln `study_controls' `district_fe' `controls' [iw=inv_prob]
   est store e_`var'
   loc elist `elist' e_`var'
}

 qui suest `elist', vce(cluster chiefcode)
 di "Hypothesis: `group', without historical controls"
 test fam_num_ln
}

/*With Controls*/
foreach group in bonding bridging collective trust assets_res house_res {
loc elist
corr ``group''
foreach var of varlist ``group'' {
   qui regress  `var' fam_num_ln `study_controls' `district_fe' `controls' `exocontrol' [iw=inv_prob]
   est store e_`var'
   loc elist `elist' e_`var'
}

 qui suest `elist', vce(cluster chiefcode)
 di "Hypothesis: `group', with historical controls"
 test fam_num_ln
}

/*Kill Run Loop*/
}

/*---------------------------------
Matching on Birth
----------------------------------*/
loc run = 1
if `run' == 1{
  
use $SL_data/chiefs_nps_birth_rr.dta, replace

loc assets_birth bike generator phone cartruckmoto fan radio umbrella tv
loc house_birth nicefloor nicewall niceroof


/*Without Controls*/
foreach group in assets_birth house_birth bonding bridging collective {
loc elist
corr ``group''
foreach var of varlist ``group'' {
   qui regress  `var' fam_num_ln `study_controls' `district_fe' `controls' [iw=inv_prob]
   est store e_`var'
   loc elist `elist' e_`var'
}

 qui suest `elist', vce(cluster chiefcode)
 di "Hypothesis: `group', without historical controls"
 test fam_num_ln
}

/*With Controls*/
foreach group in assets_birth house_birth  bonding bridging collective{
loc elist
corr ``group''
foreach var of varlist ``group'' {
   qui regress  `var' fam_num_ln `study_controls' `district_fe' `controls' `exocontrol' [iw=inv_prob]
   est store e_`var'
   loc elist `elist' e_`var'
}

 qui suest `elist', vce(cluster chiefcode)
 di "Hypothesis: `group', with historical controls"
 test fam_num_ln
}


/*Kill Run Loop*/
}

log close
